import type { CallbackDataParams } from 'echarts/types/dist/shared.js';
export declare const MOUSE_EVENT_NAMES: readonly ["click", "dblclick", "mousedown", "mousemove", "mouseover", "mouseout", "globalout", "contextmenu"];
export declare const INTERACTION_EVENT_NAMES: readonly ["highlight", "downplay", "selectchanged", "legendselectchanged", "legendselected", "legendunselected", "legendinverseselect", "legendscroll", "datazoom", "datarangeselected", "timelinechanged", "timelineplaychanged", "restore", "dataviewchanged", "magictypechanged", "geoselectchanged", "geoselected", "geounselected", "axisareaselected", "brush", "brushend", "brushselected", "globalcursortaken", "rendered", "finished"];
export declare const EVENT_NAMES: ("click" | "dblclick" | "mousedown" | "mousemove" | "mouseover" | "mouseout" | "globalout" | "contextmenu" | "highlight" | "downplay" | "selectchanged" | "legendselectchanged" | "legendselected" | "legendunselected" | "legendinverseselect" | "legendscroll" | "datazoom" | "datarangeselected" | "timelinechanged" | "timelineplaychanged" | "restore" | "dataviewchanged" | "magictypechanged" | "geoselectchanged" | "geoselected" | "geounselected" | "axisareaselected" | "brush" | "brushend" | "brushselected" | "globalcursortaken" | "rendered" | "finished")[];
export type ECMouseEvent = CallbackDataParams & {
    event: MouseEvent;
};
export type ECInteractionEvent = CallbackDataParams;
export type MouseEventHandlers = {
    click: ECMouseEvent;
    dblclick: ECMouseEvent;
    mousedown: ECMouseEvent;
    mousemove: ECMouseEvent;
    mouseover: ECMouseEvent;
    mouseout: ECMouseEvent;
    globalout: ECMouseEvent;
    contextmenu: ECMouseEvent;
};
export type InteractionEventHandlers = {
    highlight: ECInteractionEvent;
    downplay: ECInteractionEvent;
    selectchanged: ECInteractionEvent;
    legendselectchanged: ECInteractionEvent;
    legendselected: ECInteractionEvent;
    legendunselected: ECInteractionEvent;
    legendinverseselect: ECInteractionEvent;
    legendscroll: ECInteractionEvent;
    datazoom: ECInteractionEvent;
    datarangeselected: ECInteractionEvent;
    timelinechanged: ECInteractionEvent;
    timelineplaychanged: ECInteractionEvent;
    restore: ECInteractionEvent;
    dataviewchanged: ECInteractionEvent;
    magictypechanged: ECInteractionEvent;
    geoselectchanged: ECInteractionEvent;
    geoselected: ECInteractionEvent;
    geounselected: ECInteractionEvent;
    axisareaselected: ECInteractionEvent;
    brush: ECInteractionEvent;
    brushend: ECInteractionEvent;
    brushselected: ECInteractionEvent;
    globalcursortaken: ECInteractionEvent;
    rendered: ECInteractionEvent;
    finished: ECInteractionEvent;
};
export type EventHandlers = MouseEventHandlers & InteractionEventHandlers;
